summaryrefslogtreecommitdiffstats
path: root/jjb/openci/create-ane.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fdegir@gmail.com>2018-05-18 13:56:43 +0200
committerFatih Degirmenci <fdegir@gmail.com>2018-05-18 15:08:47 +0200
commitbb376c197b864e9f60c43f97337da0d37e2d443d (patch)
tree9ddabd7d46e353c787ef03a558576f8cd0c1b5cd /jjb/openci/create-ane.sh
parent47e912753dfbd977499ab8ce8f072a1d293a5410 (diff)
openci: Add event publisher to ODL and ONAP Autorelease jobs
Change-Id: I1efdff3dbcfdcc9b0820b43d982f686bbe1db4a7 Signed-off-by: Fatih Degirmenci <fdegir@gmail.com>
Diffstat (limited to 'jjb/openci/create-ane.sh')
-rwxr-xr-xjjb/openci/create-ane.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/jjb/openci/create-ane.sh b/jjb/openci/create-ane.sh
new file mode 100755
index 000000000..8a4da8f52
--- /dev/null
+++ b/jjb/openci/create-ane.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# This script creates ArtifactPublishedEvent
+# The JMS Messaging Plugin doesn't handle the newlines well so the eventBody is
+# constructed on a single line. This is something that needs to be fixed properly
+
+cat << EOF > $WORKSPACE/event.properties
+type=$PUBLISH_EVENT_TYPE
+origin=$PUBLISH_EVENT_ORIGIN
+eventBody="{ 'type': '$PUBLISH_EVENT_TYPE', 'id': '$(uuidgen)', 'time': '$(date -u +%Y-%m-%d_%H:%M:%SUTC)', 'origin': '$PUBLISH_EVENT_ORIGIN', 'buildUrl': '$BUILD_URL', 'branch': 'master', 'artifactLocation': '$ARTIFACT_LOCATION', 'confidenceLevel': { $CONFIDENCE_LEVEL } }"
+EOF
+echo "Constructed $PUBLISH_EVENT_TYPE"
+echo "--------------------------------------------"
+cat $WORKSPACE/event.properties
+echo "--------------------------------------------"